New upstream version 0.48.3.1

Bug #943984 reported by Alex Valavanis on 2012-03-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
inkscape (Ubuntu)
Medium
Alex Valavanis

Bug Description

A new minor bugfix release has been published. This fixes builds on platforms with older (<2.28) versions of glibmm and will be needed if we wish to backport the latest Inkscape package to older Ubuntu versions.

Related branches

Changed in inkscape (Ubuntu):
status: New → In Progress
assignee: nobody → Alex Valavanis (valavanisalex)
importance: Undecided → Medium
tags: added: upgrade-software-version
Alex Valavanis (valavanisalex) wrote :

Local precise amd64 build succeeded (see attached log)

Changed in inkscape (Ubuntu):
status: In Progress → Triaged
Alex Valavanis (valavanisalex) wrote :

Debdiff attached (branch also linked). Please consider sponsoring the upload.

Alex Valavanis (valavanisalex) wrote :

Deb installs and runs OK on precise amd64.

Scott Kitterman (kitterman) wrote :

No FFe needed for bugfix updates.

Alex Valavanis (valavanisalex) wrote :

Subscribing the release team for Feature Freeze Exception:

* This is a minor bugfix release from upstream.
  - Fixes build failure on old versions of Ubuntu (with glibmm < 2.28), so it will be important for backporting to Lucid/Maverick.

This package version also builds against LCMS2, which is important for the LCMS migration goal in Ubuntu

No other changes are introduced in this update for linux builds

Changed in inkscape (Ubuntu):
status: Triaged → New
Alex Valavanis (valavanisalex) wrote :

Hi Scott,

I posted comment #5 before I saw your comment. Thanks for the note. I'll wait for comments from sponsors.

Daniel Holbach (dholbach) wrote :

To me it looks like the point of bug 885324 is to get rid of lcms1, so I took the liberty of changing the build-depends to liblcms2-dev. Running a test-build now.

Alex Valavanis (valavanisalex) wrote :

Hi Daniel,

I was also hoping to backport 0.48.3.x to older Ubuntu releases so that we'd get all the nice bug fixes that have been released since 0.48.2. Inkscape will happily build against either lcms1 or lcms2 so I thought it might be neater to allow alternative dependencies. Ultimately, this should allow us to backport without source changes.

Daniel Holbach (dholbach) wrote :

It's better to have Build-Depends work in a deterministic fashion. After all it's possible to get things backported with source changes: https://wiki.ubuntu.com/UbuntuBackports#Building_a_Backport

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package inkscape - 0.48.3.1-0ubuntu1

---------------
inkscape (0.48.3.1-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #943984)
    - Fixes build errors with glibmm < 2.28
  * Build against lcms2 (LP: #885324)
 -- Alex Valavanis <email address hidden> Thu, 01 Mar 2012 15:38:35 +0000

Changed in inkscape (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers